package com.tsi.api.server.vo;

import com.tsi.api.server.dto.NodeDto;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class NodeVo {
    private long   nodeId;      // 교차로 번호
    private String nodeName;    // 교차로 이름
    private String lat;    // 위도(경위도)
    private String lng;   // 경도(경위도)

    public NodeDto toDto() {
        return NodeDto.builder()
                .node_id(this.nodeId)
                .node_name(this.nodeName)
                .latitude(Double.parseDouble(this.lat))
                .longitude(Double.parseDouble(this.lng))
                .build();
    }
}
